Execute a synchronous, side-effect-free preview against Raw, manual or fixture input.
const url = 'https://api.dev.iot-sens.schlossers.at/v1/flows/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/test-runs';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"flowVersionId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","graph":{"schemaVersion":"flow-graph.v2","deviceTypeId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","nodes":[{"kind":"block","nodeId":"example","block":{},"name":"example","configuration":{},"position":{"x":1,"y":1}}],"edges":[{}],"parameters":[{}]},"fixtureId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","raw":{"rawIngestionMessageId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","receivedAt":"2026-04-15T12:00:00Z"},"manualInput":{"mode":"live","rawPayload":{"encoding":"base64","data":"example"},"observedAt":"2026-04-15T12:00:00Z","rawReceivedAt":"2026-04-15T12:00:00Z","tenantId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","deviceId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","deviceTypeId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","correlationId":"example","connectionData":{},"parameters":{}}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.dev.iot-sens.schlossers.at/v1/flows/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/test-runs \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "flowVersionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "graph": { "schemaVersion": "flow-graph.v2", "deviceTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "nodes": [ { "kind": "block", "nodeId": "example", "block": {}, "name": "example", "configuration": {}, "position": { "x": 1, "y": 1 } } ], "edges": [ {} ], "parameters": [ {} ] }, "fixtureId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "raw": { "rawIngestionMessageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "receivedAt": "2026-04-15T12:00:00Z" }, "manualInput": { "mode": "live", "rawPayload": { "encoding": "base64", "data": "example" }, "observedAt": "2026-04-15T12:00:00Z", "rawReceivedAt": "2026-04-15T12:00:00Z", "tenantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "deviceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "deviceTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "correlationId": "example", "connectionData": {}, "parameters": {} } }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”object
Contains exactly one current-output and one timeseries-output system node.
object
object
object
object
object
object
object
object
object
object
object
object
Normalized Netmore timestamp used by both storage targets.
Local MQTT/raw receipt timestamp used for provenance and tie-breaking.
object
object
object
Contains exactly one current-output and one timeseries-output system node.
object
object
object
object
object
object
object
object
object
object
object
object
Normalized Netmore timestamp used by both storage targets.
Local MQTT/raw receipt timestamp used for provenance and tie-breaking.
object
object
object
Contains exactly one current-output and one timeseries-output system node.
object
object
object
object
object
object
object
object
object
object
object
object
Normalized Netmore timestamp used by both storage targets.
Local MQTT/raw receipt timestamp used for provenance and tie-breaking.
object
object
object
Contains exactly one current-output and one timeseries-output system node.
object
object
object
object
object
object
object
object
object
object
object
object
Normalized Netmore timestamp used by both storage targets.
Local MQTT/raw receipt timestamp used for provenance and tie-breaking.
object
object
object
Contains exactly one current-output and one timeseries-output system node.
object
object
object
object
object
object
object
object
object
object
object
object
Normalized Netmore timestamp used by both storage targets.
Local MQTT/raw receipt timestamp used for provenance and tie-breaking.
object
object
object
Contains exactly one current-output and one timeseries-output system node.
object
object
object
object
object
object
object
object
object
object
object
object
Normalized Netmore timestamp used by both storage targets.
Local MQTT/raw receipt timestamp used for provenance and tie-breaking.
object
object
Responses
Section titled “Responses”Node trace
default
Section titled “default”A safe platform error response.
object
object
Example
{ "error": { "code": "VALIDATION_FAILED", "category": "validation" }}